> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create world



## OpenAPI

````yaml https://api.wazoo.dev/openapi.json post /v1/worlds
openapi: 3.0.0
info:
  title: Wazoo Platform API
  version: 0.1.0
  description: >-
    Management-plane API for Wazoo users, Worlds, platform tokens, usage,
    limits, and beta billing.
servers:
  - url: https://api.wazoo.dev
    description: Wazoo Platform API
security:
  - bearerPlatformToken: []
paths:
  /v1/worlds:
    post:
      tags:
        - Worlds
      summary: Create world
      operationId: createWorld
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorldRequest'
      responses:
        '201':
          description: Created World
          content:
            application/json:
              schema:
                type: object
                properties:
                  world:
                    $ref: '#/components/schemas/World'
                required:
                  - world
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '429':
          description: Quota exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                  quota:
                    type: object
                    properties:
                      state:
                        type: string
                      reason:
                        type: string
                      usagePercent:
                        type: number
                    required:
                      - state
                required:
                  - error
                  - quota
      security:
        - bearerPlatformToken: []
components:
  schemas:
    CreateWorldRequest:
      type: object
      properties:
        ownerEmail:
          type: string
          format: email
        email:
          type: string
          format: email
        worldId:
          type: string
          pattern: ^[a-z][a-z0-9-]{2,62}$
          description: Resource ID matching ^[a-z][a-z0-9-]{2,62}$
        world:
          type: object
          properties:
            displayName:
              type: string
              minLength: 1
            region:
              type: string
              default: auto
          required:
            - displayName
      required:
        - worldId
        - world
    World:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
        worldId:
          type: string
        displayName:
          type: string
        region:
          type: string
        state:
          type: string
          enum:
            - ACTIVE
            - SUSPENDED
            - DELETED
        restorable:
          type: boolean
        backend:
          type: string
          enum:
            - worlds-api
        createTime:
          type: string
          format: date-time
        updateTime:
          type: string
          format: date-time
        deleteTime:
          type: string
          format: date-time
        expireTime:
          type: string
          format: date-time
      required:
        - name
        - uid
        - worldId
        - displayName
        - region
        - state
        - restorable
        - backend
  securitySchemes:
    bearerPlatformToken:
      type: http
      scheme: bearer
      bearerFormat: wzp
      description: Wazoo platform API token.

````